
Foreman - Feature #1987

Ability to specify meta-parameters on classes, e.g. run stage
Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1276560 Red Hat JIRA:  

Pull request:    

Description

The run stage of a class can be specified in the ENC output simply as another parameter of the class (tested on 2.7.19), e.g.

test: 

  stage: foo

 Currently Foreman only lets you specify declared parameters of a Puppet class in smart parameters, but this should be extended to

include known meta-parameters such as "stage".  This would allow a user to set the run stage of a class from within Foreman (or

tags, noop etc).

History

#1 - 09/30/2015 11:36 AM - Andrew Cooper

Any update on this?  It seems the only way we can do this cleanly with foreman is to create wrapper classes which make the puppetry code base

messy

#2 - 12/31/2015 08:14 AM - Ori Rabin

- Description updated

- Assignee deleted (Ohad Levy)

#3 - 10/12/2017 04:11 AM - Ondřej Pražák

- Bugzilla link set to 1276560

Powered by TCPDF (www.tcpdf.org)

04/25/2024 1/1

http://docs.puppetlabs.com/references/latest/metaparameter.html
http://www.tcpdf.org

